<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($ban!=1)

{

 		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
	 		switch ($act) {
	default:
	echo '
<title>Обратная связь</title>';
echo '
	<meta name="keywords" content="Астрономика, онлайн игра, астра, astronomika, космическая мобильная игра">';
echo '
</head>
<body>';
echo '
<body oncontextmenu="return false;">
<body onselectstart="return false"  oncopy="return false"><body onload="digitalWatch()">
	<style type="text/css">{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;-o-user-select: none;user-select: none;}</style>';
	echo '<div class="blok3"><b>Обратная связь</b></div>';
	if(!$_POST)
	{
echo '
<center>
	<div class="window">
		<form action="feedback.php" method="POST">
			<font color="#FFFFFF">Логин</font><br/>(Введите минимум 5 букв или символов)<br/><input type="text"  name="login" style="width:110px;">
			<br/><br/>
	        <font color="#FFFFFF">Email</font><br/>(Введите минимум 5 букв или символов)<br/><input type="email" name="email" style="width:110px;">
	        <br/><br/>
	        <font color="#FFFFFF">Сообщение:</font>
	        <br/>
	        <textarea name="message" cols="40px" rows="6px"></textarea>
	     	<br/><br/>
	     	<input name="bezspama" type="text" style="display:none" value="" />
	     	<font color="#FFFFFF">Защитный код</font>
	     	<br/><br/>
			<img src="../captcha.php" id="captcha" alt="Защитный код" />
			<br/><br/>
			<input name="code" type="text" style="width:110px;">
			<br/><br/>
			<img src="../images/icon/strelka.png" width="40px" onclick="document.getElementById(\'captcha\').src = \'../captcha.php?\' + Math.random()" /> 
			<br/><br/>
	        <button class="blue" type="submit">Отправить</button>
		</form>
	</div>
</center>';
			}
			else
			{
			$login = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($_POST['login']))))))));
			$email = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($_POST['email']))))))));
			$message = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['message'])))))));
			$bezspama = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST["bezspama"])))))));
			$address = "astronomika.sup@gmail.com";
			$sub = "Здравствуйте,в течении 24 часов Представитель Центра Поддержки с вами свяжется";
			$mes = "Сообщение от заблокированного игрока из игры:Астрономика<br/>
			Логин: ".$name."<br/> 
			Электронный адрес отправителя: ".$email."<br/>
			Сообщение: ".$message."";
$error = false;
if( trim($_POST['login']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Логин</b></ins></font><br/>';
    
}

if(!empty($_POST['login']) && (mb_strlen($_POST['login']) > 20 || mb_strlen($_POST['login']) < 5 || mb_strlen($_POST['login']) > 20))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Логин</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['login']) && (preg_match('/[^a-zA-Z0-9]+/s',$_POST['login'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Логин</b></font> содержит запрещенные символы<br/>'; 
}

if( trim($_POST['email']) =='')

{
  
    $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>E-mail</b></ins></font><br/>';
    
}

if(!empty($_POST['email']) && (strlen($_POST['email']) > 50 || strlen($_POST['email']) < 10 || mb_strlen($_POST['email']) > 50))
    
{
  
   $error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>E-mail</b></ins></font>  минимум <font color="#4EEE94">[10]</font> букв или символов<br/>';
  
}
  
if(!empty($_POST['email']) && !preg_match('/^[a-zA-Z0-9-_.]+@[a-zA-Z0-9-_.]+\.[a-zA-Z]{2,4}$/', $_POST['email']))
   
{

    $error = $error. 'Поле: <font color="#4EEE94"><ins><b>E-mail</b></ins></font> содержит запрещенные символы<br/>';
  
}

if( trim($_POST['message']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font><br/>';
    
}

if(!empty($_POST['message']) && (mb_strlen($_POST['message']) > 100 || mb_strlen($_POST['message']) < 5 || mb_strlen($_POST['message']) > 100))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['message']) && (preg_match('/[^А-zA-Z0-9]+/s',$_POST['message'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Сообщение</b></font> содержит запрещенные символы<br/>'; 
}

if( trim($_POST['code']) =='')

{

  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Защитный код</b></ins></font><br/>';

}
  
if(trim($_SESSION['code'] != $_POST['code']))
  
{
  
  $error = $error. 'В поле: <font color="#4EEE94"><ins><b>Защитный код</b></ins></font> введены неккоректные данные<br/>';
  
}

if (empty($error))

		{
		
            $query = mysql_query("INSERT INTO `feedback` SET
		`login`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($_POST['login'])))))))) . "',
		`email`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['email']))))))). "',
		`message`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['message']))))))) . "';");


}

if (empty($bezspama))

{

$from  = "From: ".$name." <".$email."> \r\n Reply-To: ".$email." \r\n";
}

if (mail($address, $sub, $mes, $from))

{
		echo '
		<div class="blok3">
			Письмо отправлено на почту Центра Поддержки.В течении 24 часов вам придет сообщение от Центра Поддержки
		</div>';
			
		}
		else
		{

			echo "<div class=\"blok3\"><b>" . $error ."</b></div>";
			echo "<div class=\"blok\"><a  href=\"/game/feedback.php?".rand(50,800)."\"><b>Назад</b></a></div>";
		}
	
}
}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>